%define product		PloneSiteMap
%define version		2.3.1
%define release		5

%define zope_minver	2.7
%define plone_minver	2.0

%define zope_home	%{_prefix}/lib/zope
%define software_home	%{zope_home}/lib/python

Summary:	PloneSiteMap provides a site map feature for your Plone sites
Name:		zope-%{product}
Version:	%{version}
Release:	%mkrel %{release}
License:	GPL
Group:		System/Servers
Source:		http://belnet.dl.sourceforge.net/sourceforge/ingeniweb/PloneSiteMap-%{version}.tar.bz2
URL:		http://ingeniweb.sourceforge.net/Products/PloneSiteMap/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Requires:	zope >= %{zope_minver}
Requires:	plone >= %{plone_minver}

Provides:	plone-PloneSiteMap == %{version}
Obsoletes:	plone-PloneSiteMap

%description
loneSiteMap provides a site map feature for your Plone sites. 

A portal tab, called 'sitemap' is added. 

As a Plone product, it is installable and uninstallable by QuickInstaller Tool. 

PloneSiteMap has been designed by the Ingeniweb team.

%prep
%setup -c -q

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%files
%defattr(0644, root, root, 0755)
%{software_home}/Products/*



%changelog
* Mon Aug 07 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/07/06 07:53:41 (53765)
- Fix rpmlint warnings

* Sun Jul 30 2006 glehmann
+ 07/30/06 11:01:46 (42786)
Import zope-PloneSiteMap

* Sun Aug 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.3.1-4mdk
- fix path on x86_64

* Mon Apr 25 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.3.1-3mdk
- use mkrel
- rename from plone-PloneSiteMap zope-PloneSiteMap

* Thu Jan 27 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.3.1-2mdk
- fix uninstall error message

* Fri Jan 14 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.3.1-1mdk
- initial contrib
- 2.3.1

